Audit log
GET
/v1/admin/audit
const url = 'https://api.gampeon.com/v1/admin/audit';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.gampeon.com/v1/admin/audit \ --header 'Authorization: Bearer <token>'Requires the role admin.
Not available with access tokens.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”limit
integer
1 to 200, default 50
offset
integer
Skip this many
Responses
Section titled “Responses”Entries, newest first
Media typeapplication/json
object
Example generated
{ "entries": [ { "id": 1, "actorId": 1, "action": "example", "target": "example", "details": { "additionalProperty": "example" }, "createdAt": 1 } ]}Error codes: unauthorized
Media typeapplication/json
object
error
required
Machine-readable error code, for example not_found or rate_limited.
string
message
Human-readable detail. Only present for some errors.
string
Example generated
{ "error": "example", "message": "example"}Error codes: forbidden, token_not_allowed
Media typeapplication/json
object
error
required
Machine-readable error code, for example not_found or rate_limited.
string
message
Human-readable detail. Only present for some errors.
string
Example generated
{ "error": "example", "message": "example"}